package mythexport 1.0.3-0ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 1

Bug #282498 reported by cariboo on 2008-10-13
374
This bug affects 31 people
Affects Status Importance Assigned to Milestone
mythexport (Ubuntu)
Undecided
rhpot1991
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: mythexport

Just installed MythTV and apacje2 wouldn't start becuase of the error

ProblemType: Package
Architecture: amd64
DistroRelease: Ubuntu 8.10
ErrorMessage: subprocess post-installation script returned error exit status 1
NonfreeKernelModules: nvidia
Package: mythexport 1.0.3-0ubuntu1
SourcePackage: mythexport
Title: package mythexport 1.0.3-0ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 1
Uname: Linux 2.6.27-7-generic x86_64

cariboo (cariboo) wrote :
Jean-Baptiste Lallement (jibel) wrote :

thanks for your report.

The error is
Setting up mythtv-database (0.21.0+fixes18379-0ubuntu1) ...

 * Starting MySQL database server mysqld

   ...done.

 * Checking for corrupt, not cleanly closed and upgrade needing tables.

Failed to connect to database: Access denied for user 'root'@'localhost' (using password: NO) at -e line 5, <> line 1.

Failed to create database (incorrect admin username/password?)

It's also possible that mysql-server wasn't running. After install

is completed, you will need to make sure mysql-server is running

and that you supplied correct information. Try:

sudo dpkg-reconfigure mythtv-database

Then mythexport fails with
Setting up mythexport (1.0.3-0ubuntu1) ...

Your apache2 configuration is broken, so we're not restarting it for you.

ERROR 1049 (42000): Unknown database 'mythconverg'

dpkg: error processing mythexport (--configure):

 subprocess post-installation script returned error exit status 1

Changed in mythexport:
status: New → Confirmed
rhpot1991 (rhpot1991) on 2008-10-21
Changed in mythexport:
assignee: nobody → rhpot1991
status: Confirmed → In Progress
rhpot1991 (rhpot1991) on 2008-10-26
Changed in mythexport:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mythexport - 1.0.5-0ubuntu1

---------------
mythexport (1.0.5-0ubuntu1) jaunty; urgency=low

  * Fixed ffmpeg bug (LP: #297019).
  * Fixed whitespace in file bug (LP: #288184).
  * Fixed reverse proxy bug (thanks to smalcolm) (LP: #288186).
  * Fixed install bug (LP: #282498).
  * Fixed archos aspect bug (LP: #297016)

 -- John Baab <email address hidden> Tue, 11 November 2008 07:30:00 -0500

Changed in mythexport:
status: Fix Committed → Fix Released
rhpot1991 (rhpot1991) wrote :

Test Case: Install MythExport before the mythtv-backend or mythtv-database are installed. Installation will fail as mentioned in above comments.

Debdiff for the SRU is attached to:
https://bugs.launchpad.net/ubuntu/+source/mythexport/+bug/302104

There should be no regression potential with this bug, the installation required the mythtv-database to already be in place so it can add a new table.

rhpot1991 (rhpot1991) wrote :

Users who are affected can get an updated package from the Mythbuntu Testing PPA:
https://launchpad.net/~mythbuntu-testing/+archive

Martin Pitt (pitti) wrote :

This and the other bugs (282498 288184 288186 297016 297019 302104) need ack from motu-sru@.

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in mythexport:
status: New → Fix Committed
Download full text (14.7 KiB)

I tested and here is the result:

me@my-server:~$ sudo apt-get update
[sudo] password for me:
Hit http://archive.canonical.com intrepid Release.gpg
Ign http://archive.canonical.com intrepid/partner Translation-en_US
Hit http://archive.ubuntu.com intrepid Release.gpg
Ign http://archive.ubuntu.com intrepid/main Translation-en_US
Hit http://packages.medibuntu.org hardy Release.gpg
Ign http://packages.medibuntu.org hardy/free Translation-en_US
Hit http://archive.canonical.com intrepid Release
Ign http://archive.ubuntu.com intrepid/restricted Translation-en_US
Ign http://archive.ubuntu.com intrepid/universe Translation-en_US
Ign http://archive.ubuntu.com intrepid/multiverse Translation-en_US
Hit http://archive.ubuntu.com intrepid-updates Release.gpg
Ign http://archive.ubuntu.com intrepid-updates/main Translation-en_US
Ign http://archive.ubuntu.com intrepid-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com intrepid-updates/universe Translation-en_US
Ign http://archive.ubuntu.com intrepid-updates/multiverse Translation-en_US
Hit http://archive.ubuntu.com intrepid-security Release.gpg
Ign http://packages.medibuntu.org hardy/non-free Translation-en_US
Hit http://packages.medibuntu.org hardy Release
Hit http://archive.canonical.com intrepid/partner Packages
Ign http://archive.ubuntu.com intrepid-security/main Translation-en_US
Ign http://archive.ubuntu.com intrepid-security/restricted Translation-en_US
Ign http://archive.ubuntu.com intrepid-security/universe Translation-en_US
Ign http://archive.ubuntu.com intrepid-security/multiverse Translation-en_US
Hit http://archive.ubuntu.com intrepid-proposed Release.gpg
Ign http://archive.ubuntu.com intrepid-proposed/restricted Translation-en_US
Ign http://archive.ubuntu.com intrepid-proposed/main Translation-en_US
Ign http://archive.ubuntu.com intrepid-proposed/multiverse Translation-en_US
Ign http://archive.ubuntu.com intrepid-proposed/universe Translation-en_US
Hit http://archive.ubuntu.com intrepid Release
Hit http://archive.ubuntu.com intrepid-updates Release
Hit http://packages.medibuntu.org hardy/free Packages
Hit http://archive.ubuntu.com intrepid-security Release
Hit http://archive.ubuntu.com intrepid-proposed Release
Hit http://archive.ubuntu.com intrepid/main Packages
Hit http://archive.ubuntu.com intrepid/restricted Packages
Hit http://archive.ubuntu.com intrepid/main Sources
Hit http://archive.ubuntu.com intrepid/restricted Sources
Hit http://packages.medibuntu.org hardy/non-free Packages
Hit http://archive.ubuntu.com intrepid/universe Packages
Hit http://archive.ubuntu.com intrepid/universe Sources
Hit http://archive.ubuntu.com intrepid/multiverse Packages
Hit http://archive.ubuntu.com intrepid/multiverse Sources
Hit http://archive.ubuntu.com intrepid-updates/main Packages
Hit http://archive.ubuntu.com intrepid-updates/restricted Packages
Hit http://archive.ubuntu.com intrepid-updates/main Sources
Hit http://archive.ubuntu.com intrepid-updates/restricted Sources
Hit http://archive.ubuntu.co...

rhpot1991 (rhpot1991) wrote :

Well mythtv-common failed for you, not mythexport. Seems you didn't have a backend installed ahead of time? Post your /etc/mythtv/mysql.txt (strip out the password first), and I'll have a look.

Martin Pitt (pitti) wrote :

This was sitting in intrepid-proposed for > 200 days without feedback and verification, pulled:

2009-09-09 10:16:15 INFO Removing candidates:
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid amd64
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid hppa
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid i386
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid ia64
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid lpia
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid powerpc
2009-09-09 10:16:15 INFO mythexport 1.0.6-0ubuntu0.1 in intrepid sparc
2009-09-09 10:16:15 INFO Removed-by: Martin Pitt
2009-09-09 10:16:15 INFO Comment: unverified SRU
2009-09-09 10:16:15 INFO 8 packages successfully removed.
2009-09-09 10:16:15 INFO Transaction committed.

Changed in mythexport (Ubuntu Intrepid):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers